/*
HEADER
FOOTER
MAIN CONTENTS
*/

html {
    background-color: var(--color-bg);
    scroll-behavior: smooth;
}

body {
    color: var(--color-primary);
    font-family: var(--gfont-jp), "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
    font-size: 1.4em;
    font-weight: 400;
    line-height: 1.8;
    overflow-wrap: anywhere;
    word-break: normal;
    line-break: strict;
    overflow-x: hidden;
    position: relative;
    text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

a:link,
a:visited,
a:active,
a:hover {
    color: var(--color-textlink);
    font-weight: bold;
}

/* HEADER ==================== */
header {
    width: 100%;
}

header h1 {
    background-image: url(../img/mv_sp.jpg);
    background-position: center top;
    background-repeat: no-repeat;
    background-size: 100% auto;
    aspect-ratio: 750 / 1330;
    width: 100%;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}

@media screen and (min-width: 640px) {
    header h1 {
        background-image: url(../img/mv.jpg);
        aspect-ratio: 1920 / 1000;
    }
}

/* FOOTER ==================== */
footer {
    background-color: var(--color-bg);
    color: var(--color-primary);
    padding: 20px 0;
}

.copyright {
    font-size: 1.1rem;
    font-weight: 600;
    text-align: center;
}

@media screen and (min-width: 640px) {
    footer {
        padding: 0;
    }

    .copyright {
        font-size: 1.4rem;
        line-height: 90px;
        text-align: left;
        padding: 0 var(--padding-rl-sp);
    }
}

@media screen and (min-width: 1100px) {
    .copyright {
        width: var(--width-pc);
        margin: 0 auto;
        padding: 0;
    }
}


/* MAIN CONTENTS ==================== */
main {
    position: relative;
    width: 100%;
}

h2 {
    color: var(--color-bg);
    font-family: var(--gfont-en), sans-serif;
    font-size: 2.6rem;
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: 2;
    text-align: center;
    padding: 20px 0 30px;
}

h3 {
    background: linear-gradient(to right, #bc4120, #3c044b, #0f0c39);
    /* background: linear-gradient(to right, #f9bf00, #fd7d00); */
    border-radius: 3px;
    color: var(--color-primary);
    font-size: 1.8rem;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 4vw;
    padding: 10px;
}

@media screen and (min-width: 640px) {
    h2 {
        font-size: 4.8rem;
        padding: 30px 0 60px;
    }

    h3 {
        font-size: 2.2rem;
        margin-bottom: 30px;
        padding: 15px;
    }
}

.section__1 {
    background: url(../img/bg_1.jpg) center top repeat-x;
    background-size: 100% auto;
    padding: 0 0 18vw;
}

.section__2 {
    background: url(../img/bg_2_sp.jpg) center top no-repeat;
    background-size: 100% auto;
    padding: 18vw 0;
}

@media screen and (min-width: 640px) {
    .section__1 {
        background-image: url(../img/bg_1.jpg);
        padding-bottom: 120px;
    }

    .section__2 {
        background-image: url(../img/bg_2.jpg);
        background-repeat: no-repeat;
        background-size: 100% auto;
        padding: 120px 0;
    }
}


/* Store Select */
#store-select__wrap {
    background-color: var(--color-bg-goods);
    border: 0.5333333333vw solid #000;
    color: var(--color-bg);
    padding: 5.3333333333vw 8vw 5.3333333333vw;
    border-radius: 1.3333333333vw;
    margin: 0 var(--padding-rl-sp);
    padding: 40px 6.4vw;
    position: relative;
}

#store-select {
    border-bottom: 1px solid #3b3b3b;
    margin-bottom: 6.4vw;
    padding-bottom: 6.4vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 6vw;
}

#store-select li {
    width: 100%;
}

#store-select li a {
    font-size: 1.8rem;
    font-weight: 700;
    letter-spacing: 0.08em;
    text-decoration: none;
    background: linear-gradient(to right, #e24d0b, #ef7615);
    border: 0.4vw solid #000;
    border-radius: 9999px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 14.4vw;
    color: #FFF;
    line-height: 1.2;
    padding: 3.3333333333vw 0vw;
    transition: 0.4s all;
    position: relative;
}

#store-select li a::after {
    content: "";
    display: block;
    width: 3.3333333333vw;
    height: 3.3333333333vw;
    border-top: 0.5333333333vw solid #ffe400;
    border-right: 0.5333333333vw solid #ffe400;
    transform: rotate(45deg) translateX(-4vw) translateY(1.3333333333vw);
    position: absolute;
    right: 0;
    top: 50%;
}

@media screen and (min-width: 640px) {
    #store-select__wrap {
        border-width: 3px;
        border-radius: 10px;
        margin: 0 var(--padding-rl-sp);
        padding: 60px 48px;
    }

    #store-select {
        margin-bottom: 48px;
        padding-bottom: 48px;
        flex-direction: row;
        justify-content: center;
        column-gap: 30px;
    }

    #store-select li a {
        border-width: 3px;
        min-height: 70px;
        padding: 6px 0px;
    }

    #store-select li a::after {
        width: 10px;
        height: 10px;
        border-top-width: 3px;
        border-right-width: 3px;
        transform: rotate(45deg) translateX(-20px) translateY(10px);
    }
}

@media screen and (min-width: 1100px) {
    #store-select__wrap {
        margin: 0 auto;
        width: var(--width-pc);
    }

    #store-select {
        column-gap: 60px;
    }

    #store-select li {
        width: auto;
    }

    #store-select li a {
        min-width: 280px;
    }
}

@media screen and (hover: hover) {
    #store-select li a:hover {
        opacity: var(--fade-opacity);
    }
}


/* Goods */
.goods__wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 0 auto;
    padding: 0 var(--padding-rl-sp);
    width: 100%;
}

.goods {
    background-color: var(--color-bg-goods);
    border: 0.5333333333vw solid #000;
    color: var(--color-bg);
    border-radius: 1.3333333333vw;
    color: var(--color-bg);
    position: relative;
    width: calc((100% - (20px * 1)) / 2);
}

.goods a {
    color: var(--color-bg);
    display: block;
    text-decoration: none;
    padding: 14px;
    width: 100%;
    height: 100%;
    transition: var(--transition-opacity);
}

.goods img {
    width: 100%;
    height: auto;
}

.goods__name {
    font-weight: 600;
    line-height: 1.6;
    padding: 16px 0 6px;
}

.goods__price {
    color: var(--color-bg);
}

.goods__price span {
    font-size: 87.5%;
}

.goods__icon-new {
    background: linear-gradient(to right, #bc4120, #3c044b, #0f0c39);
    border-radius: 50%;
    color: var(--color-primary);
    font-weight: 700;
    letter-spacing: 0;
    line-height: 40px;
    text-align: center;
    width: 40px;
    aspect-ratio: 1 / 1;
    position: absolute;
    top: -10px;
    right: -10px;
}

@media screen and (min-width: 640px) {
    .goods__wrap {
        gap: 30px;
        padding: 0 var(--padding-rl-sp);
    }

    .goods {
        border-width: 3px;
        border-radius: 10px;
        width: calc((100% - (30px * 2)) / 3);
    }

    .goods a {
        padding: 20px;
    }

    .goods__name {
        padding: 20px 0 10px;
    }

    .goods__icon-new {
        top: -16px;
        right: -16px;
    }
}

@media screen and (min-width: 1100px) {
    .goods__wrap {
        gap: 40px;
        padding: 0;
        width: var(--width-pc);
    }

    .goods {
        width: calc((100% - (40px * 2)) / 3);
    }

    .goods__name {
        font-size: 1.6rem;
    }

    .goods__icon-new {
        font-size: 1.6rem;
        line-height: 56px;
        width: 56px;
        top: -28px;
        right: -20px;
    }
}

@media screen and (hover: hover) {
    .goods a:hover {
        opacity: var(--fade-opacity);
    }
}


/* Schedule */
.schedule__wrap {
    border: var(--border-orange);
    border-radius: 1.3333333333vw;
    margin: 0 var(--padding-rl-sp);
    padding: 6vw;
    position: relative;
    z-index: 1;
}

.schedule__wrap::before {
    content: "";
    display: block;
    position: absolute;
    width: calc(100% + 4vw);
    height: calc(100% + 4vw);
    border-radius: 0.6666666667vw;
    border-radius: 1.3333333333vw;
    padding: 40px 6.4vw;
    border: 2.6666666667vw solid red;
    left: -2vw;
    top: -2vw;
    filter: blur(2vw);
    z-index: -1;
}

.schedule li {
    font-size: 1.6rem;
    padding-bottom: 24px;
}

.schedule li p {
    font-size: 1.4rem;
}

.schedule__att {
    border-top: 1px solid #524e64;
    margin-top: 6vw;
    padding-top: 6vw;
}

@media screen and (min-width: 640px) {
    .schedule__wrap {
        border: var(--border-orange-pc);
        border-radius: 10px;
        padding: 50px;
    }

    .schedule__wrap::before {
        width: calc(100% + 10px);
        height: calc(100% + 10px);
        border-radius: 5px;
        border-width: 10px;
        left: -5px;
        top: -5px;
        filter: blur(10px);
    }

    .schedule li {
        font-size: 1.8rem;
    }

    .schedule__att {
        margin-top: 45px;
        padding-top: 45px;
    }
}

@media screen and (min-width: 1100px) {
    .schedule__wrap {
        margin: 0 auto;
        width: var(--width-pc);
    }
}